#
# ESA (C) 2000-2018 
#
# This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
#
#    SAS is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    SAS is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
# $Id: emproc.pl,v 1.5 2002/03/26 08:01:22 gvacanti Exp $
#
# Parameters taken from sub-tasks run by emproc.
#

%taskpar = (
	    #
	    # GTI
	    #
	    'hkgtigen' => ['withparameters', 'parameters', 'except',
			   'withoverrideparameters', 'overrideparameters'],
	    
	    #
	    # bad pixels
	    #
	    'badpixfind' => ['backgroundrate', 'columnsearchlabel',
			     'flickerchisqthresh', 'flickerksthresh',
			     'flickertimesteps', 'hicolthresh',
			     'hienergythresh', 'hithresh',
			     'locolthresh', 'loenergythresh',
			     'lothresh', 'narrowerthanpsf',
			     'threshabovebackground', 'thresholdlabel']	,
	    
	    #
	    # background removal
	    #
	    'emframes' => ['cosmicoutoverin', 'cosmicsize',
			   'withsrccoords', 'srcra', 'srcdec'],
	    
	    #
	    # event reconstruction
	    #
	    'emevents' => ['rejecte3', 'e3thresholds', 'keepsifluor',
			   'maxeventsperrow', 'randomizeposition',
			   'randomizetime', 'rejectrows',
			  ],
	    'emenergy' => ['randomizeenergy', 'rejecte3e4', 'e3e4ellipse',
			   'useccfdarkframe'],
	   );

%pardefaults = (
		# badpixfind
		'thresholdlabel' => 'rate',
		'backgroundrate' => -1,
		'hithresh' => 0.005,
		'narrowerthanpsf' => 3.0,
		#
		'randomizetime' => 'true',
		);
