#
# ESA (C) 2000-2018 
#
# This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
#
#    SAS is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    SAS is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
# $Id: epproc.pl,v 1.3 2002/03/25 16:11:31 gvacanti Exp $
#
# Parameters taken from sub-tasks run by epproc.
#

%taskpar = (
	    #
	    # GTI
	    #
	    'hkgtigen' => ['withparameters', 'parameters', 'except',
			   'withoverrideparameters', 'overrideparameters'],
	    #
	    # bad pixels
	    #
	    'badpixfind' => ['backgroundrate', 'columnsearchlabel',
			     'flickerchisqthresh', 'flickerksthresh',
			     'flickertimesteps', 'hicolthresh',
			     'hienergythresh', 'hithresh',
			     'locolthresh', 'loenergythresh',
			     'lothresh', 'narrowerthanpsf',
			     'threshabovebackground', 'thresholdlabel' ],
	    
	    #
	    # background removal
	    #
	    'epframes' => ['mipmethod', 'mipthreshold', 'mipdiscard',
			  'mipdist', 'wrongpixlimit',
			  'withsrccoords', 'srcra', 'srcdec'],
	    
	    #
	    # event reconstruction
	    #
	    'epevents' => ['reemissionthresh', 'randomizeenergy',
			   'randomizeposition', 'gainctiaccuracy',
			   'withoutoftime', 'mappatterntype'],	       
	   );


%pardefaults = (
		# badpixfind
		'hithresh' => 0.0045,
		'hicolthresh' => 0.00105,
		'narrowerthanpsf' => 1.5,
		'loenergythresh' => 0.14,
		'hienergythresh' => 10,
		'backgroundrate' => 0.0001,
		'thresholdlabel' => 'rate',
		#
		'wrongpixlimit' => 20,
		'mappatterntype' => 'sssd',
		);
